com.holonplatform.vaadin.flow.components.builders

## Interface BeanListingBuilder.DatastoreBeanListingBuilder<T>

- Type Parameters:
    `T` - Bean type
  All Superinterfaces:
    BeanListingConfigurator<T,BeanListingBuilder.DatastoreBeanListingBuilder<T>>, ComponentConfigurator<BeanListingBuilder.DatastoreBeanListingBuilder<T>>, ComponentGroupConfigurator<String,T,Input<?>,ItemListing.EditorComponentGroup<String,T>,BeanListingBuilder.DatastoreBeanListingBuilder<T>>, DatastoreDataProviderConfigurator<T,BeanListingBuilder.DatastoreBeanListingBuilder<T>>, FocusableConfigurator<com.vaadin.flow.component.Component,BeanListingBuilder.DatastoreBeanListingBuilder<T>>, HasElementConfigurator<BeanListingBuilder.DatastoreBeanListingBuilder<T>>, HasEnabledConfigurator<BeanListingBuilder.DatastoreBeanListingBuilder<T>>, HasSizeConfigurator<BeanListingBuilder.DatastoreBeanListingBuilder<T>>, HasStyleConfigurator<BeanListingBuilder.DatastoreBeanListingBuilder<T>>, HasThemeVariantConfigurator<com.vaadin.flow.component.grid.GridVariant,BeanListingBuilder.DatastoreBeanListingBuilder<T>>, InputGroupConfigurator<String,T,ItemListing.EditorComponentGroup<String,T>,BeanListingBuilder.DatastoreBeanListingBuilder<T>>, InputGroupConfigurator.BeanInputGroupConfigurator<T,ItemListing.EditorComponentGroup<String,T>,BeanListingBuilder.DatastoreBeanListingBuilder<T>>, ItemListingBuilder<T,String,BeanListing<T>,BeanListingBuilder.DatastoreBeanListingBuilder<T>>, ItemListingConfigurator<T,String,BeanListing<T>,BeanListingBuilder.DatastoreBeanListingBuilder<T>>
  Enclosing interface:
    BeanListingBuilder<T>

      public static interface BeanListingBuilder.DatastoreBeanListingBuilder<T>
      extends BeanListingConfigurator<T,BeanListingBuilder.DatastoreBeanListingBuilder<T>>, DatastoreDataProviderConfigurator<T,BeanListingBuilder.DatastoreBeanListingBuilder<T>>, ItemListingBuilder<T,String,BeanListing<T>,BeanListingBuilder.DatastoreBeanListingBuilder<T>>

  `BeanListing` builder with `DatastoreDataProviderConfigurator` support.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingConfigurator

      `ItemListingConfigurator.ColumnAlignment, ItemListingConfigurator.EditableItemListingRow<P>, ItemListingConfigurator.EditableItemListingSection<P>, ItemListingConfigurator.ItemListingColumnBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingConfigurator<T,P,L,B>>, ItemListingConfigurator.ItemListingColumnConfigurator<T,P,C extends ItemListingConfigurator.ItemListingColumnConfigurator<T,P,C>>, ItemListingConfigurator.ItemListingContextMenuBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingConfigurator<T,P,L,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `InputGroupConfigurator.BeanInputGroupConfigurator<T,G extends BoundComponentGroup<String,Input<?>>,C extends InputGroupConfigurator.BeanInputGroupConfigurator<T,G,C>>, InputGroupConfigurator.PropertySetInputGroupConfigurator<G extends BoundComponentGroup<com.holonplatform.core.property.Property<?>,Input<?>>,C extends InputGroupConfigurator.PropertySetInputGroupConfigurator<G,C>>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.BeanListingConfigurator

      `editor, editorField`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator.BeanInputGroupConfigurator

      `defaultValue, withValidator, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DatastoreDataProviderConfigurator

      `itemIdentifierProvider, querySortOrderConverter, withDefaultQuerySort, withQueryConfigurationProvider, withQueryFilter, withQuerySort`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingBuilder

      `build`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingConfigurator

      `alignment, columnReorderingAllowed, componentRenderer, contextMenu, displayAfter, displayAsFirst, displayAsLast, displayBefore, editable, editable, editorBuffered, editorComponent, editorComponent, expand, flexGrow, footer, footer, footer, footer, footerComponent, frozen, frozen, frozenColumns, header, header, header, header, headerComponent, heightByRows, hidden, itemDetailsComponent, itemDetailsRenderer, itemDetailsText, itemDetailsVisibleOnClick, multiSelect, multiSort, notSelectable, pageSize, readOnly, renderer, resizable, resizable, selectionMode, singleSelect, sortable, sortable, sortComparator, sortProvider, sortUsing, sortUsing, styleNameGenerator, styleNameGenerator, valueProvider, verticalScrollingEnabled, visible, visibleColumns, visibleColumns, width, withColumn, withComponentColumn, withEditorCancelListener, withEditorCloseListener, withEditorOpenListener, withEditorSaveListener, withItemClickListener, withItemRefreshListener, withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasThemeVariantConfigurator

      `withThemeVariants`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `enableRefreshOnValueChange, groupValidationStatusHandler, required, required, required, required, validationStatusHandler, validationStatusHandler, validationStatusLabel, withPostProcessor, withValidator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentGroupConfigurator

      `usePropertyRendererRegistry, withValueChangeListener`

Copyright © 2019 The Holon Platform. All rights reserved.